> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omni.co/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.omni.co/feedback

```json
{
  "path": "/embed/setup/customize",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Customizing embed users and sessions with URL parameters

> Customize embed users and sessions with Omni embed parameters.

For example, you can use embed URL parameters to:

* Specify user content roles
* Assign connection and model roles to users
* Control the look and theme of your embedded application
* Apply user attributes to users

## Providing parameters

How parameters are provided depends on the type of SSO setup your embed implementation uses:

* [**In standard SSO embed**](/embed/setup/standard-sso), parameters are passed as URL query parameters:

  ```markdown wrap theme={null}
  https://omni.blobsrus.com/embed/login?contentPath=%2Fmy&externalId=artiste1322&name=Blob+Ross&nonce=7RR6BdkQ8FgXf2FHABLFhWTebflsWya2&signature=VwmHh5ygv35i0Zc8mTiT6ugRnzqwBLfEP83ZDh6pfVE&entity=Happy+Trees&connectionRoles=%7B%7D&entityFolderContentRole=EDITOR&preserveEntityFolderContentRole=false
  ```

* [**In 2-step SSO embed**](/embed/setup/two-step-sso), the majority of these parameters are included as a JSON payload in the `POST /generate-session` request:

  ```json wrap title="POST /api/unstable/embed/sso/generate-session" theme={null}
  curl -X POST 'https://omni.blobsrus.com/api/unstable/embed/sso/generate-session' \
  -H 'Authorization: Bearer <YOUR_API_KEY>' \
  -H 'Content-Type: application/json' \
  -d '{
    "contentPath": "/my",
    "externalId": "artiste1322",
    "name": "Blob Ross",
    "entity": "Happy Trees",
    "entityFolderContentRole": "EDITOR"
  }'
  ```

## Available parameters

Refer to the [Embed URL parameters reference](/embed/setup/url-parameters) for a complete list of parameters and examples.
